#!/bin/bash
APP_SVNID='$HeadURL: https://svn.pasta.freemyip.com/main/wra/tags/4/bin/wra-cron.sh $ $LastChangedRevision: 10301 $'

. <(wra-config --format=shell) || { echo "$PROGNAME: INTERNAL ERROR: failed to run wra-config" >&2; exit 3; }

export PATH=/bin:/usr/bin
export LOGNAME=$(id -un)
export HOME=$(getent passwd $LOGNAME | cut -f6 -d:)
export DISPLAY=:0.0
export DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/$(id -u)/bus
export XDG_RUNTIME_DIR=/run/user/$(id -u)

exec $WRA_BIN_PREFIX/wra "$@"
